# Update

Since 6.26.0 the API has changed in some minor, but important ways. Mostly methods and classes that have been deprecated for years have been removed.

## Changes

* You now create a LandsIntegration instance via the static method of the **LandsIntegration interface** not directly through an constructor. This improves maintainability and backward support in the future.
* `getLand` methods have been removed from the LandsIntegration. The reason is that it has been misused in the past to check flag states. The problem is that Lands offers sub areas inside lands. Therefore one should retrieve an `Area` to check flag states. Not just the land. As this check would only be done against the default area. Therefore, use `getArea` or `getAreaUnloaded` if the location is not loaded.
* The old `LandSetting` enums have been removed. Please use `Flags.<Flag>` instead.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://wiki.incredibleplugins.com/lands/developers/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
